--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "Destructively automigrates the data-store to match the model REPEAT: THIS IS DESTRUCTIVE"
- !ruby/struct:SM::Flow::P 
  body: "@param Symbol repository_name the repository to be migrated"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Migrations::Model#auto_migrate!
is_singleton: false
name: auto_migrate!
params: (repository_name = self.repository_name)
visibility: public
